package com.ningdatech.kqapi.zzsfw.entity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author ZPF
 * @since 2023-10-27
 */
@Data
@TableName("nd_kq_zzsfw_menu")
@ApiModel(value = "NdKqZzsfwMenu对象", description = "")
public class NdKqZzsfwMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("数据同步时间")
    private LocalDateTime createOn;

    @ApiModelProperty("社区名")
    private String zoneName;

    @ApiModelProperty("窗口")
    private String window;

    @ApiModelProperty("部门")
    private String department;

    @ApiModelProperty("事项名称")
    private String itemName;

    @ApiModelProperty("事项在政务中心的rowid")
    private String itemRowid;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("链接")
    private String webapplyurl;

    @ApiModelProperty("是否在政务中心查到url")
    private Integer hasUrl;
}
