package com.ningdatech.kqapi.zzsfw.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 事项
 * </p>
 *
 * @author ZPF
 * @since 2023-10-25
 */
@Data
@ApiModel(value = "MattersVO", description = "事项")
public class MattersVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private String rowguid;

    @ApiModelProperty("事项名称")
    private String matterName;

    @ApiModelProperty("事项链接")
    private String webapplyurl;

    @ApiModelProperty("排序编号")
    private Integer sort;
}
