package com.ningdatech.kqapi.zzsfw.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 树结构
 * </p>
 *
 * @author ZPF
 * @since 2023-10-25
 */
@Data
@ApiModel(value = "TreeVO", description = "树结构")
public class TreeVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("rowid")
    private String id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("链接")
    private String url;

    @ApiModelProperty("链接")
    private Integer sort;

    @ApiModelProperty("子级")
    private List<TreeVO> chilren;
}
