package com.ningdatech.kqapi.zzsfw.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 社区VO
 * </p>
 *
 * @author ZPF
 * @since 2023-10-25
 */
@Data
@ApiModel(value = "ZoneVO", description = "社区VO")
public class ZoneVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("社区")
    private String zoneName;

    @ApiModelProperty("社区")
    private List<WindowVO> windows;
}
